Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452409 - Virtual machine details icons
Summary: Virtual machine details icons
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: virt-manager
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-22 09:58 UTC by Michael Monreal
Modified: 2010-03-16 17:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-24 18:46:09 UTC


Attachments (Terms of Use)
Screenshot (deleted)
2009-03-13 20:00 UTC, Michael Monreal
no flags Details

Description Michael Monreal 2008-06-22 09:58:47 UTC
There are a few misleading icons in the virtual machine details window¹:

- Mouse: there's the "input-mouse" icon in the freedesktop spec, which would fit
better here. The current icon is for selecting something from a list (?).

- Display: there's the "video-display" icon in the freedesktop spec, which would
fit better here. The current icon is for color choosers only.

Additionaly:

- there's "input-tablet" in the freedesktop spec, which could be used for
evtouch tablet devices (currently using the same icon as mouse)

- Processor, Memory and Boot options all use the same "chip" icon at the moment,
which is also bigger in size than the rest. There are no fitting icons in the
spec (yet) but providing better fitting individual icons should not be a big
problem.

[1] http://virt-manager.et.redhat.com/screenshots/guest-hw-cpu.png

Comment 1 Michael Monreal 2009-03-13 20:00:06 UTC
Created attachment 335150 [details]
Screenshot

Here's how the current icons look compared to the "right" ones

Comment 2 Cole Robinson 2009-09-24 18:46:09 UTC
Upstream now has proper icons for these, some of which are from the freedesktop spec. Closing as UPSTREAM


Note You need to log in before you can comment on or make changes to this bug.